/*------------------------------------*\
    #OBJECTS.ACCORDION
\*------------------------------------*/
/**
 * Accordion object based that uses Foundation's accordion mixins/basic styles.
 */
@import '../1-utils/utils.loader';
@import '../0-settings/settings.objects';

.#{$inuit-namespace}accordion,
%#{$inuit-namespace}accordion {
    // Include foundation's accordion mixins
    @include accordion-container;

    clear: both;
    list-style: none;
    margin-bottom: $drk-base-unit / 2;
    padding: 0;

    .o-cms-content {
        float: none;
    }
}

.#{$inuit-namespace}accordion__navigation,
%#{$inuit-namespace}accordion__navigation {
    border-top: 1px solid $drk-color-light-grey;

    > a {
        background: transparent;
        color: $drk-color-blue;
        font-size: 120%;
        padding: 0;

        @include drk-hover {
            background: transparent;
        }
    }

    &:last-of-type {
        border-bottom: 1px solid $drk-color-light-grey;
    }

    &.is-active > a {
        background: transparent;
        color: $drk-color-blue;
    }
}

.#{$inuit-namespace}accordion__title,
%#{$inuit-namespace}accordion__title {
    @include drk-hover {
        text-decoration: none;
    }
}

// Wrap the title to apply the show/hide toggles, apply padding so the toggle icons will fit
.#{$inuit-namespace}accordion__title-wrap,
%#{$inuit-namespace}accordion__title-wrap {
    @extend %icon--arrow-down;
    background-position: right;
    font-family: $drk-font-family-normal;
    display: block;
    padding: 1em $drk-base-unit-small 1em 0;

    .is-active & {
        @extend %icon--arrow-up;
        background-position: right;
    }
}

.#{$inuit-namespace}accordion__content,
%#{$inuit-namespace}accordion__content {
    @include accordion-content($active_class: 'is-active');
}
